Skip to content
Webfold Docs
Esc
↑↓navigate↵open⌘Jpreview

Update a bookmark

Partially update a bookmark. Set collection_id to an empty string to remove the bookmark from its collection.

PATCH/v1/bookmarks/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

Bearer API key issued for your account. Send Authorization: Bearer <key>.

Path parameters
idstringrequired
Request body
requiredapplication/json
titlestring
descriptionstring
tagsstring[]
collection_idstring

Existing collection ID. Pass an empty string to remove from the current collection.

Responses
200

Updated bookmark

idstringrequired
urlstring<uri>required
titlestringrequired
descriptionstringrequired
tagsstring[]required
collection_idstring | null
ownerstringrequired
archived_contentstringrequired

Markdown archived from the URL at creation time

archived_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time>required
400

Bad request

string
401

Missing or invalid bearer token

string
403

Billing or plan entitlement blocked the request

string
404

Resource not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.webfold.ai/v1/bookmarks/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "description": "string",
  "tags": [
    "string"
  ],
  "collection_id": "string"
}'
Response
{
  "id": "bkm_1",
  "url": "https://example.com",
  "title": "Example",
  "description": "An example page",
  "tags": [
    "demo"
  ],
  "collection_id": "col_1",
  "owner": "dev",
  "archived_content": "string",
  "archived_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}